Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QToolBox

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QToolBox class reference

### Public Functions

- QToolBox ( QWidget * parent, const char * name, Qt::WFlags f = 0 )
- QWidget * currentItem () const
- QWidget * item ( int index ) const
- QIcon itemIconSet ( int index ) const
- QString itemLabel ( int index ) const
- int removeItem ( QWidget * widget )
- void setCurrentItem ( QWidget * widget )
- void setItemIconSet ( int index, const QIcon & icon )
- void setItemLabel ( int index, const QString & text )

## Member Function Documentation

### QToolBox::QToolBox ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs a toolbox called name with parent parent and flags f.

### QWidget * QToolBox::currentItem () const

Use widget(currentIndex()) instead.

### QWidget * QToolBox::item ( int index ) const

Use widget() instead.

### QIcon QToolBox::itemIconSet ( int index ) const

Use itemIcon() instead.

### QString QToolBox::itemLabel ( int index ) const

Use itemText() instead.

### int QToolBox::removeItem ( QWidget * widget )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Use toolbox->removeItem(toolbox->indexOf(widget)) instead.

### void QToolBox::setCurrentItem ( QWidget * widget )

Use setCurrentIndex(indexOf(widget)) instead.

### void QToolBox::setItemIconSet ( int index, const QIcon & icon )

Use setItemIcon() instead.

### void QToolBox::setItemLabel ( int index, const QString & text )

Use setItemText() instead.